ubuntu/+source/wget:ubuntu/artful-security

Last commit made on 2018-05-09
Get this branch:
git clone -b ubuntu/artful-security https://git.launchpad.net/ubuntu/+source/wget
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/artful-security
Repository:
lp:ubuntu/+source/wget

Recent commits

1f56105... by Leonidas S. Barbosa on 2018-05-08

Import patches-unapplied version 1.19.1-3ubuntu1.2 to ubuntu/artful-security

Imported using git-ubuntu import.

Changelog parent: 932597533941a5d4aea5ea3643a3cf19d1291e81

New changelog entries:
  * SECURITY UPDATE: Cookie injection vulnerability
    - debian/patches/CVE-2018-0494.patch: fix cooking injection
      in src/http.c.
    - CVE-2018-0494

9325975... by Marc Deslauriers on 2017-10-23

Import patches-unapplied version 1.19.1-3ubuntu1.1 to ubuntu/artful-security

Imported using git-ubuntu import.

Changelog parent: 74dee5799fde46656cf918abd489fe1991027baf

New changelog entries:
  * SECURITY UPDATE: stack overflow in HTTP protocol handling
    - debian/patches/CVE-2017-13089.patch: return error on negative chunk
      size in src/http.c.
    - CVE-2017-13089
  * SECURITY UPDATE: heap overflow in HTTP protocol handling
    - debian/patches/CVE-2017-13090.patch: stop processing on negative
      chunk size in src/retr.c.
    - CVE-2017-13090

74dee57... by Marc Deslauriers on 2017-05-03

Import patches-unapplied version 1.19.1-3ubuntu1 to ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: 938fb0960d0f9159c957a1f1037e2a10e6b09f66

New changelog entries:
  * Merge with Debian, remaining changes:
    - Don't Build-Depend on libgnutls28-dev.
    - Pass --with-ssl=openssl
    - Don't build with libpsl-dev, which is in universe.
    - Enable parallel builds.
    - debian/patches/disable-SSLv3.patch: properly detect SSLv3 being
      disabled on Ubuntu because the method still exists for ABI reasons.
  * debian/control: add pkg-config to Build-Depends.

938fb09... by Noël Köthe on 2017-03-18

Import patches-unapplied version 1.19.1-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: d3636a90f81e3d86893c6bd16b3b2c7b3af19870

New changelog entries:
  * also apply the patch in 1.19.1-2 m(
  * added upstream patch to fix CVE-2017-6508 closes: Bug#857073

d3636a9... by Noël Köthe on 2017-02-13

Import patches-unapplied version 1.19.1-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 42c88e1577eff3a384edbe64aa3d5d66c0a96656

New changelog entries:
  * new upstream release from 2017-02-11 to sid
    - removed wget-doc-CRLs.patch because CRLs are supported
      closes: Bug#849389

42c88e1... by Noël Köthe on 2017-02-03

Import patches-unapplied version 1.19-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 8d74f40c4772875767128dbc63abedcef59c72ad

New changelog entries:
  * new upstream release from 2017-02-03
    (upload to unstable after stretch release)
  * removed upstream applied patches wget-openssl1.1.0.patch and
      CVE-2016-7098.patch

8d74f40... by Noël Köthe on 2016-09-26

Import patches-unapplied version 1.18-4 to debian/sid

Imported using git-ubuntu import.

Changelog parent: c5aa083320593ad596b20fb5532f6f6ca33cf033

New changelog entries:
  * added patches to fix CVE-2016-7098
    files rejected by access list are kept on the disk for the duration of
    HTTP connection closes: #836503

c5aa083... by Noël Köthe on 2016-09-22

Import patches-unapplied version 1.18-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0bd1a0cb0761bb5e4e52a8c93365350aa7f7b690

New changelog entries:
  * make the build reproducible (Thanks Reiner!). closes: #833070

0bd1a0c... by Noël Köthe on 2016-07-02

Import patches-unapplied version 1.18-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 87cc05b19ab3f46aa49519f63d11ae901743f690

New changelog entries:
  * added OpenSSl 1.1.0 patch from upstream git. closes: #828599

87cc05b... by Noël Köthe on 2016-06-11

Import patches-unapplied version 1.18-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 32f4a4aa4f7e2e86e4cfaf14f8cac53f66418db8

New changelog entries:
  * new upstream release from 2016-06-10
    - fixed CVE-2016-4971 closes: #827003
    - fixed segmentation fault when terminal width is small. closes: #823891
  * debian/control: updated Standards-Version, no changes needed
  * debian/changelog fixed spelling errors